Package ghidra.framework.remote

# Class RepositoryItem

java.lang.Object
ghidra.framework.remote.RepositoryItem

All Implemented Interfaces:
  `Serializable`

public class RepositoryItem extends Object implements Serializable
`RepositoryItemStatus` provides status information for a repository folder item.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `contentType`
  `static final int`
  `DATABASE`
  `static final int`
  `FILE`
  `protected String`
  `fileID`
  `protected String`
  `folderPath`
  `protected String`
  `itemName`
  `protected int`
  `itemType`
  `static final long`
  `serialVersionUID`
  `protected int`
  `version`
  `protected long`
  `versionTime`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RepositoryItem()`
  Default constructor needed for de-serialization
  ``
  `RepositoryItem(String folderPath, String itemName, String fileID, int itemType, String contentType, int version, long versionTime)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContentType()`
  Returns content class
  `String`
  `getFileID()`
  `int`
  `getItemType()`
  Returns type of item.
  `String`
  `getName()`
  Returns the item name.
  `String`
  `getParentPath()`
  Returns path of the parent folder containing this item.
  `String`
  `getPathName()`
  Returns the folder item path within the repository.
  `int`
  `getVersion()`
  Returns the current version of the item or -1 if versioning not supported.
  `long`
  `getVersionTime()`
  Returns the time (UTC milliseconds) when the current version was created.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### serialVersionUID

    public static final long serialVersionUID
    See Also:
      - Constant Field Values

  - ### FILE

    public static final int FILE
    See Also:
      - Constant Field Values

  - ### DATABASE

    public static final int DATABASE
    See Also:
      - Constant Field Values

  - ### folderPath

    protected String folderPath

  - ### itemName

    protected String itemName

  - ### fileID

    protected String fileID

  - ### itemType

    protected int itemType

  - ### contentType

    protected String contentType

  - ### version

    protected int version

  - ### versionTime

    protected long versionTime

- ## Constructor Details

  - ### RepositoryItem

    protected RepositoryItem()
    Default constructor needed for de-serialization

  - ### RepositoryItem

    public RepositoryItem(String folderPath, String itemName, String fileID, int itemType, String contentType, int version, long versionTime)
    Constructor.
    Parameters:
      `folderPath` - path of folder containing item.
      `itemName` - name of item
      `itemType` - type of item (FILE or DATABASE)
      `contentType` - content type associated with item
      `version` - repository item version or -1 if versioning not supported
      `versionTime` - version creation time

- ## Method Details

  - ### getName

    public String getName()
    Returns the item name.

  - ### getPathName

    public String getPathName()
    Returns the folder item path within the repository.

  - ### getParentPath

    public String getParentPath()
    Returns path of the parent folder containing this item.

  - ### getItemType

    public int getItemType()
    Returns type of item.

  - ### getContentType

    public String getContentType()
    Returns content class

  - ### getFileID

    public String getFileID()

  - ### getVersion

    public int getVersion()
    Returns the current version of the item or -1 if versioning not supported.

  - ### getVersionTime

    public long getVersionTime()
    Returns the time (UTC milliseconds) when the current version was created.